@use "../abstracts/mixins" as mix;
@use "../abstracts/variables" as var;
@use "sass:math";

.artistHomePage {
  height: 100vh;
  background-color: var.$text-color-secondary;

  .header {
    height: var.$gutter-base * 2.5;
    width: 100%;
    padding: math.div(var.$gutter-base, 2.5);
    background-color: var.$background-color-base;
    box-shadow: 0px 2px 2px rgba(0, 0, 0, 0.25);
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;

    img {
      width: 24%;
      position: absolute;
      top: 0px;
      left: 0;
      z-index: 1000;
    }

    .main {
      width: 70%;
      display: flex;
      justify-content: space-between;
      align-items: center;
      margin-left: 96px;

      h3 {
        color: var.$text-color-primary;
        margin: 0;
        font-family: "Reenie Beanie";
        font-style: normal;
        font-weight: var.$font-weight-medium;
        font-size: var.$font-size-big;
        line-height: var.$gutter-base;
      }

      .topnav {
        overflow: hidden;

        .myLinks {
          background: #a26a5e;
          box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
          display: none;
          position: absolute;
          top: 75px;
          left: 0;
          right: 0;
          width: 100%;
          text-align: center;

          a {
            font-size: 20px;
            color: white;
            padding: 12px 14px;
            text-decoration: none;
            // font-size: 17px;
            display: block;
          }
        }

        a.icon {
          color: var.$text-color-primary;
          display: block;
          font-size: 25px;
        }
      }
    }
  }

  .widgets {
    background-color: var.$text-color-tertiary;
    padding: math.div(var.$gutter-base, 1.5) math.div(var.$gutter-base, 2);
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;

    .statistics {
      font-size: 30px;
    }

    h3 {
      font-family: "Roboto";
      font-size: 15px;
      font-weight: lighter;
      font-style: normal;
      margin: 0;
      text-transform: capitalize;
      line-height: 21px;
    }

    .totalItemsSold {
      color: var.$text-color-secondary;
      flex-basis: 48%;
      background-color: var.$text-color-primary;
      border-radius: var.$border-radius;
      padding: math.div(var.$gutter-base, 2.5) math.div(var.$gutter-base, 3);
      text-align: center;
    }

    .totalIncome {
      color: var.$text-color-secondary;
      flex-basis: 48%;
      background-color: var.$text-color-primary;
      border-radius: var.$border-radius;
      padding: math.div(var.$gutter-base, 2.5) math.div(var.$gutter-base, 3);
      text-align: center;
    }

    .liveAuctioningItem {
      color: var.$text-color-secondary;
      flex-basis: 100%;
      background-color: #d44c2e;
      margin-top: 18px;
      border-radius: var.$border-radius;
      padding: math.div(var.$gutter-base, 2.5) math.div(var.$gutter-base, 3);
      text-align: center;
    }
  }

  .income {
    color: var.$text-color-primary;
    // background-color: var.$text-color-secondary;
    padding: math.div(var.$gutter-base, 1.5) math.div(var.$gutter-base, 2);

    .buttons {
      display: flex;
      justify-content: space-between;
      padding-top: 5px;

      button {
        color: #fff;
        background-color: var.$text-color-primary;
        border: 0;
        outline: none;
        border-radius: var.$border-radius;
        padding: math.div(var.$gutter-base, 6) math.div(var.$gutter-base, 2);
      }
    }
  }
}
